curl --request GET \
--url https://thirdparty.qonto.com/v2/webhook_subscriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/webhook_subscriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/webhook_subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "123e4567-e89b-12d3-a456-426614174000",
"membership_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_url": "https://api.partner.com/webhooks/qonto",
"types": [
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products",
"v1/transfers",
"v1/recurring-transfers"
],
"created_at": "2025-01-24T10:55:00Z",
"updated_at": "2025-01-24T10:55:00Z",
"description": "Production webhook for transactions"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"source": {
"parameter": "<string>"
}
}Get a webhook subscription
OAuth scope: webhook
Retrieve details of a specific webhook subscription
The secret is only returned once, in the response to creating a webhook subscription. It is never returned when retrieving, updating, or listing subscriptions.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
- Authorization URL
- https://oauth.qonto.com/oauth2/auth
- Token URL
- https://oauth.qonto.com/oauth2/token
- Refresh URL
- https://oauth.qonto.com/oauth2/token
Path Parameters
Response
Webhook subscription retrieved successfully
Unique identifier for the webhook subscription
"123e4567-e89b-12d3-a456-426614174000"
ID of the organization that owns this subscription
"123e4567-e89b-12d3-a456-426614174000"
ID of the membership that owns this subscription
"123e4567-e89b-12d3-a456-426614174000"
The HTTPS URL where webhooks will be sent
512^https://.*"https://api.partner.com/webhooks/qonto"
The types of events to subscribe to
1v1/transactions, v1/accounts, v1/organizations, v1/memberships, v1/consent-revocations, v1/cards, v1/payment-links, v1/payment-links-connections, v1/beneficiaries, v1/client-invoices, v1/terminal-payments, v1/clients, v1/products, v1/transfers, v1/recurring-transfers [
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products",
"v1/transfers",
"v1/recurring-transfers"
]
When the subscription was created
"2025-01-24T10:55:00Z"
When the subscription was last updated
"2025-01-24T10:55:00Z"
Optional description for the webhook subscription
256"Production webhook for transactions"
Was this page helpful?